package com.gh.gamecenter.feature.provider

import androidx.lifecycle.MediatorLiveData
import androidx.lifecycle.MutableLiveData

import com.gh.gamecenter.feature.entity.MessageUnreadCount
import com.gh.gamecenter.feature.entity.MessageUnreadEntity

interface IMessageUnreadRepositoryProvider {

    fun loadMessageUnreadData()

    fun loadMessageUnreadTotal(isRecordData: Boolean)

    fun getUnreadLiveData(): MediatorLiveData<MessageUnreadEntity>?

    fun getZixunConcernLiveData(): MutableLiveData<Boolean>?

    fun getMessageUnreadCountLiveData(): MutableLiveData<MessageUnreadCount?>?
}